import es, cfglib

addonpath = es.getAddonPath('anti_radio_spam')
config = cfglib.AddonCFG(addonpath + '/config.cfg')
config.text('*****************************\n// ** Anti Radio Spam Options **\n// *****************************')
radio_uses = config.cvar('radio_uses',3,'Number of times they can use the radio')
config.write()

info = es.AddonInfo()
info.name          = "Anti Radio Spam"
info.basename      = "anti_radio_spam"
info.version       = "1.2"
info.author        = "Undead"
info.description   = "Prevents Radio Spammers that are up to no good!"

es.ServerVar(info.basename, info.version).makepublic()

dict_radio = {}

def load():
  config.execute()
  es.msg('#multi', '#default[#greenAnti-Radio-Spam#default] by #lightgreenUndead #defaulthas been loaded!')
  for user in es.getUseridList():
    if user not in dict_radio:
      dict_radio[user] = {'uses': radio_uses}

def player_activate(ev):
  user = int(ev['userid'])
  if user not in dict_radio:
    dict_radio[user] = {'uses': radio_uses}

def player_radio(ev):
  user = int(ev['userid'])
  if user in dict_radio:
    if dict_radio[user]["uses"] <= 1:
      es.server.queuecmd('kickid %s Radio Spamming'%user)
    else:
      uses_subtract(user)

def uses_subtract(user):
  dict_radio[user]["uses"] -= 1
  es.tell(user, '#multi', '#default[#greenAnti-Radio-Spam#default] You have #lightgreen%s #defaultremaining uses left!'%dict_radio[user]["uses"])

def player_spawn(ev):
  global dict_radio
  user = int(ev['userid'])
  if user in dict_radio:
    dict_radio[user] = {'uses': radio_uses}

def player_disconnect(ev):
  global dict_radio
  user = int(ev['userid'])
  if user in dict_radio:
    del dict_radio[user]
